Type to search.

Create or update an IP geolocation database configuration

  • PUT /_ingest/ip_location/database/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.15 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges manage

Path parameters

id string required

The database configuration identifier.

Query parameters

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error. A value of -1 indicates that the request should never time out.

Values: -1 0
timeout union oneOf · default: 30s

The period to wait for a response from all relevant nodes in the cluster after updating the cluster metadata. If no response is received before the timeout expires, the cluster metadata update still applies but the response indicates that it was not completely acknowledged. A value of -1 indicates that the request should never time out.

Values: -1 0

Request body

name string required

The provider-assigned name of the IP geolocation database to download.

ipinfo object

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.